org.jboss.jca.adapters.jdbc.extensions.oracle

## Class OracleReauthPlugin

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.extensions.oracle.OracleReauthPlugin

- All Implemented Interfaces:
    ReauthPlugin

      public class OracleReauthPlugin
      extends java.lang.Object
      implements ReauthPlugin

  Oracle plugin for reauthentication.
  Author:
    Ricardo Arguello

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleReauthPlugin()` Default constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize(java.lang.ClassLoader cl)` Initialize
    `void` | `reauthenticate(java.sql.Connection c, java.lang.String userName, java.lang.String password)` Reauthenticate

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleReauthPlugin

          public OracleReauthPlugin()

      Default constructor

  - ### Method Detail

    - #### initialize

          public void initialize(java.lang.ClassLoader cl)
                          throws java.sql.SQLException

      Initialize
      Specified by:
        `initialize` in interface `ReauthPlugin`
      Parameters:
        `cl` - The class loader which can be used for initialization
      Throws:
        `java.sql.SQLException` - Thrown in case of an error

    - #### reauthenticate

          public void reauthenticate(java.sql.Connection c,
                                     java.lang.String userName,
                                     java.lang.String password)
                              throws java.sql.SQLException

      Reauthenticate
      Specified by:
        `reauthenticate` in interface `ReauthPlugin`
      Parameters:
        `c` - The connection
        `userName` - The user name
        `password` - The password
      Throws:
        `java.sql.SQLException` - Thrown in case of an error

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)